Get Trading Limits
curl --request GET \
--url https://api.gm.ondo.finance/v1/limits/trading \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gm.ondo.finance/v1/limits/trading"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gm.ondo.finance/v1/limits/trading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gm.ondo.finance/v1/limits/trading",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gm.ondo.finance/v1/limits/trading"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gm.ondo.finance/v1/limits/trading")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gm.ondo.finance/v1/limits/trading")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"timestamp": 1746655938000,
"symbol": "AAPLon",
"side": "buy",
"maxTokens": "100.000000000000000000",
"maxNotionalValue": "1234.560000000000000000",
"remainingAttestations": "3",
"isAssetTradingOpen": false,
"reason": {
"message": "Weekend/Holiday",
"documentation": "https://docs.ondo.finance/",
"code": "MARKET_CLOSED"
}
}Limits
Get Trading Limits
Provides real-time trading limits based on global, user, and asset-specific exposure limits.
Limits:
- The “Max Notional Value” limit is based on the dollar value of outstanding attestations. That is, if a user has a limit of $1,000,000, and has 30 non-expired, non-filled attestations at a value of $999,000, they will not be able to request another attestation for $1000.
- The “Remaining Attestations” limits the number of non-expired, non-executed attestations. For example if the limit is 50, and a user has 50 outstanding attestations, they must wait for one to execute or expire before requesting another.
If the market is closed or paused, the response will indicate that trading is not allowed and provide the reason. For more information on market hours, see Get Current Market Status.
Trading Limits Reason Codes
When trading is not allowed, the response will include a reason field which may include one of the following common codes:
MARKET_CLOSED: Market is closed.MARKET_PAUSED: Market is temporarily paused.ASSET_PAUSED: Specific asset is paused.ASSET_CLOSED_FOR_SESSION: The asset is not tradable in this session (e.g., not available overnight; see Get Market Data)ASSET_LIMITED: Asset can be traded, but order size is more limited than usual.MAX_LIMIT_REACHED: Maximum limit has been reached.MAX_ATTESTATIONS: Maximum attestations reached.OFFHOURS_EXPOSURE_LIMIT_REACHED: The off-hours exposure limit has been reached for the asset during the current off-hours session.
For caching details on this endpoint, please see: Endpoint Caching.
GET
/
v1
/
limits
/
trading
Get Trading Limits
curl --request GET \
--url https://api.gm.ondo.finance/v1/limits/trading \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gm.ondo.finance/v1/limits/trading"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gm.ondo.finance/v1/limits/trading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gm.ondo.finance/v1/limits/trading",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gm.ondo.finance/v1/limits/trading"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gm.ondo.finance/v1/limits/trading")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gm.ondo.finance/v1/limits/trading")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"timestamp": 1746655938000,
"symbol": "AAPLon",
"side": "buy",
"maxTokens": "100.000000000000000000",
"maxNotionalValue": "1234.560000000000000000",
"remainingAttestations": "3",
"isAssetTradingOpen": false,
"reason": {
"message": "Weekend/Holiday",
"documentation": "https://docs.ondo.finance/",
"code": "MARKET_CLOSED"
}
}Query Parameters
Response
OK

